%define modname dio
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 17_%{modname}.ini

Summary:	Direct I/O extension module for PHP
Name:		php-%{modname}
Version:	0.0.6
Release:	%mkrel 3
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/dio
Source0:	http://pecl.php.net/get/dio-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.0
Epoch:		2

%description
PHP supports the direct io functions as described in the Posix Standard
(Section 6) for performing I/O functions at a lower level than the C-Language
stream I/O functions (fopen(), fread(),..). The use of the DIO functions should
be considered only when direct control of a device is needed. In all other
cases, the standard filesystem functions are more than adequate.

%prep

%setup -q -n dio-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Wed Jan 30 2013 oden <oden> 2:0.0.6-3.mga3
+ Revision: 393257
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 2:0.0.6-2.mga3
+ Revision: 375733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 2:0.0.6-1.mga3
+ Revision: 275636
- upgrade to 0.0.6

* Mon Mar 19 2012 luigiwalser <luigiwalser> 2:0.0.4-0.0.RC4.7.mga2
+ Revision: 223878
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 2:0.0.4-0.0.RC4.6.mga2
+ Revision: 185142
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 2:0.0.4-0.0.RC4.5.mga1
+ Revision: 47810
- removed buildroot definition from .spec
- imported package php-dio

